Commits (2)
= MathLine =
== Description ==
MathLine is a Mathematica command Line front end to the Mathematica kernel. The front end has feature parity with the textual front end that ships with Mathematica.
https://github.com/rljacobson/MathLine
== License ==
BSD, MIT components.
== Upstream Contact ==
Robert Jacobson, rljacobson@gmail.com
== Dependencies ==
* CMake
* Mathematica (WSTP or MathLink header and library at compile time, kernel at runtime)
== Special Update/Build Instructions ==
tarball=mathline-VERSION.tar.gz
sha1=0c787c23ad2ac129fb6992ebf7fb4f661fbdfa14
md5=90f6a55f0b8cbc744e685b4df14ad7cb
cksum=4274232108
| cmake
----------
The WSTP header (wstp.h) and library need to be available at compile time. MathLine's build script should be able to locate these resources under most conceivable Mathematica installation configurations (using CMake and FindMathematica, see https://github.com/sakra/FindMathematica).
Additionally MathLine requires the Mathematica kernel (Wolfram kernel) at runtime. By default, MathLine assumes a kernel can be launched with "math -wstp". The default can be changed with the --linkname option, e.g.:
mathline --linkname '/path/to/WolframKernel -wstp'
\ No newline at end of file
1.0
\ No newline at end of file
#!/usr/bin/env bash
cd src
mkdir build
cd build
cmake -DCMAKE_INSTALL_PREFIX="$SAGE_LOCAL" ../
if [ $? -ne 0 ]; then
echo >&2 "Error configuring MathLine."
exit 1
fi
$MAKE
if [ $? -ne 0 ]; then
echo >&2 "Error building MathLine."
exit 1
fi
\ No newline at end of file
#!/usr/bin/env bash
cd src/build
./mathline --check
\ No newline at end of file
#!/usr/bin/env bash
cd src/build
$MAKE install
if [ $? -ne 0 ]; then
echo >&2 "Error installing MathLine."
exit 1
fi
\ No newline at end of file